// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order/enum.proto

package order

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ProductProcess int32

const (
	ProductProcess_UNSPECIFIED ProductProcess = 0
	ProductProcess_RESOURCES   ProductProcess = 1
	ProductProcess_SERVICES    ProductProcess = 2
	ProductProcess_PRODUCTS    ProductProcess = 3
	ProductProcess_GOODS       ProductProcess = 4
)

// Enum value maps for ProductProcess.
var (
	ProductProcess_name = map[int32]string{
		0: "UNSPECIFIED",
		1: "RESOURCES",
		2: "SERVICES",
		3: "PRODUCTS",
		4: "GOODS",
	}
	ProductProcess_value = map[string]int32{
		"UNSPECIFIED": 0,
		"RESOURCES":   1,
		"SERVICES":    2,
		"PRODUCTS":    3,
		"GOODS":       4,
	}
)

func (x ProductProcess) Enum() *ProductProcess {
	p := new(ProductProcess)
	*p = x
	return p
}

func (x ProductProcess) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ProductProcess) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_enum_proto_enumTypes[0].Descriptor()
}

func (ProductProcess) Type() protoreflect.EnumType {
	return &file_v1_order_enum_proto_enumTypes[0]
}

func (x ProductProcess) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ProductProcess.Descriptor instead.
func (ProductProcess) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{0}
}

type ProductType int32

const (
	ProductType_ProductType_UNSPECIFIED ProductType = 0
	// RESOURCES_...
	ProductType_RESOURCES_SEEDS            ProductType = 100
	ProductType_RESOURCES_FERTILIZE        ProductType = 101
	ProductType_RESOURCES_MICROFERTILIZERS ProductType = 102
	ProductType_RESOURCES_CHEMICALS        ProductType = 103
	// PT_SERVICES_...
	ProductType_SERVICES_BANKING   ProductType = 200
	ProductType_SERVICES_INSURANCE ProductType = 201
	ProductType_SERVICES_LEGAL     ProductType = 202
	// PT_PRODUCTS_...
	ProductType_PRODUCTS_FOOD ProductType = 300
	// PT_GOODS_...
	ProductType_GOODS_OVERALLS ProductType = 400
)

// Enum value maps for ProductType.
var (
	ProductType_name = map[int32]string{
		0:   "ProductType_UNSPECIFIED",
		100: "RESOURCES_SEEDS",
		101: "RESOURCES_FERTILIZE",
		102: "RESOURCES_MICROFERTILIZERS",
		103: "RESOURCES_CHEMICALS",
		200: "SERVICES_BANKING",
		201: "SERVICES_INSURANCE",
		202: "SERVICES_LEGAL",
		300: "PRODUCTS_FOOD",
		400: "GOODS_OVERALLS",
	}
	ProductType_value = map[string]int32{
		"ProductType_UNSPECIFIED":    0,
		"RESOURCES_SEEDS":            100,
		"RESOURCES_FERTILIZE":        101,
		"RESOURCES_MICROFERTILIZERS": 102,
		"RESOURCES_CHEMICALS":        103,
		"SERVICES_BANKING":           200,
		"SERVICES_INSURANCE":         201,
		"SERVICES_LEGAL":             202,
		"PRODUCTS_FOOD":              300,
		"GOODS_OVERALLS":             400,
	}
)

func (x ProductType) Enum() *ProductType {
	p := new(ProductType)
	*p = x
	return p
}

func (x ProductType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ProductType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_enum_proto_enumTypes[1].Descriptor()
}

func (ProductType) Type() protoreflect.EnumType {
	return &file_v1_order_enum_proto_enumTypes[1]
}

func (x ProductType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ProductType.Descriptor instead.
func (ProductType) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{1}
}

type DeliveryCondition int32

const (
	DeliveryCondition_ODC_UNSPECIFIED                        DeliveryCondition = 0
	DeliveryCondition_ODC_EXW_EX_WORKS                       DeliveryCondition = 1
	DeliveryCondition_ODC_FCA_FREE_CARRIER                   DeliveryCondition = 2
	DeliveryCondition_ODC_FAS_FREE_ALONGSIDE_SHIP            DeliveryCondition = 3
	DeliveryCondition_ODC_FOB_FREE_ON_BOARD                  DeliveryCondition = 4
	DeliveryCondition_ODC_CIF_COST_INSURANCE_AND_FREIGHT     DeliveryCondition = 5
	DeliveryCondition_ODC_CFR_COST_AND_FREIGHT               DeliveryCondition = 6
	DeliveryCondition_ODC_CPT_CARRIAGE_PAID_TO               DeliveryCondition = 7
	DeliveryCondition_ODC_CIP_CARRIAGE_AND_INSURANCE_PAID_TO DeliveryCondition = 8
	DeliveryCondition_ODC_DAF_DELIVERED_AT_FRONTIER          DeliveryCondition = 9
	DeliveryCondition_ODC_DES_DELIVERED_EX_SHIP              DeliveryCondition = 10
	DeliveryCondition_ODC_DEQ_DELIVERED_EX_QUAY              DeliveryCondition = 11
	DeliveryCondition_ODC_DDP_DELIVERED_DUTY_PAID            DeliveryCondition = 12
	DeliveryCondition_ODC_DDU_DELIVERED_DUTY_UNPAID          DeliveryCondition = 13
	DeliveryCondition_ODC_DAT_DELIVERED_AT_TERMINAL          DeliveryCondition = 14
	DeliveryCondition_ODC_DAP_DELIVERED_AT_PLACE             DeliveryCondition = 15
)

// Enum value maps for DeliveryCondition.
var (
	DeliveryCondition_name = map[int32]string{
		0:  "ODC_UNSPECIFIED",
		1:  "ODC_EXW_EX_WORKS",
		2:  "ODC_FCA_FREE_CARRIER",
		3:  "ODC_FAS_FREE_ALONGSIDE_SHIP",
		4:  "ODC_FOB_FREE_ON_BOARD",
		5:  "ODC_CIF_COST_INSURANCE_AND_FREIGHT",
		6:  "ODC_CFR_COST_AND_FREIGHT",
		7:  "ODC_CPT_CARRIAGE_PAID_TO",
		8:  "ODC_CIP_CARRIAGE_AND_INSURANCE_PAID_TO",
		9:  "ODC_DAF_DELIVERED_AT_FRONTIER",
		10: "ODC_DES_DELIVERED_EX_SHIP",
		11: "ODC_DEQ_DELIVERED_EX_QUAY",
		12: "ODC_DDP_DELIVERED_DUTY_PAID",
		13: "ODC_DDU_DELIVERED_DUTY_UNPAID",
		14: "ODC_DAT_DELIVERED_AT_TERMINAL",
		15: "ODC_DAP_DELIVERED_AT_PLACE",
	}
	DeliveryCondition_value = map[string]int32{
		"ODC_UNSPECIFIED":                        0,
		"ODC_EXW_EX_WORKS":                       1,
		"ODC_FCA_FREE_CARRIER":                   2,
		"ODC_FAS_FREE_ALONGSIDE_SHIP":            3,
		"ODC_FOB_FREE_ON_BOARD":                  4,
		"ODC_CIF_COST_INSURANCE_AND_FREIGHT":     5,
		"ODC_CFR_COST_AND_FREIGHT":               6,
		"ODC_CPT_CARRIAGE_PAID_TO":               7,
		"ODC_CIP_CARRIAGE_AND_INSURANCE_PAID_TO": 8,
		"ODC_DAF_DELIVERED_AT_FRONTIER":          9,
		"ODC_DES_DELIVERED_EX_SHIP":              10,
		"ODC_DEQ_DELIVERED_EX_QUAY":              11,
		"ODC_DDP_DELIVERED_DUTY_PAID":            12,
		"ODC_DDU_DELIVERED_DUTY_UNPAID":          13,
		"ODC_DAT_DELIVERED_AT_TERMINAL":          14,
		"ODC_DAP_DELIVERED_AT_PLACE":             15,
	}
)

func (x DeliveryCondition) Enum() *DeliveryCondition {
	p := new(DeliveryCondition)
	*p = x
	return p
}

func (x DeliveryCondition) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DeliveryCondition) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_enum_proto_enumTypes[2].Descriptor()
}

func (DeliveryCondition) Type() protoreflect.EnumType {
	return &file_v1_order_enum_proto_enumTypes[2]
}

func (x DeliveryCondition) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DeliveryCondition.Descriptor instead.
func (DeliveryCondition) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{2}
}

type PaymentCondition int32

const (
	PaymentCondition_PC_UNSPECIFIED        PaymentCondition = 0
	PaymentCondition_PC_AGRARIAN_RECEIPT   PaymentCondition = 1
	PaymentCondition_PC_BANK_LOAN          PaymentCondition = 2
	PaymentCondition_PC_CREDIT_BY_SUPPLIER PaymentCondition = 3
	PaymentCondition_PC_PRE_PAYMENT        PaymentCondition = 4
	PaymentCondition_PC_PAYBACK            PaymentCondition = 5
	PaymentCondition_PC_PROMISSIONARY_NOTE PaymentCondition = 6
)

// Enum value maps for PaymentCondition.
var (
	PaymentCondition_name = map[int32]string{
		0: "PC_UNSPECIFIED",
		1: "PC_AGRARIAN_RECEIPT",
		2: "PC_BANK_LOAN",
		3: "PC_CREDIT_BY_SUPPLIER",
		4: "PC_PRE_PAYMENT",
		5: "PC_PAYBACK",
		6: "PC_PROMISSIONARY_NOTE",
	}
	PaymentCondition_value = map[string]int32{
		"PC_UNSPECIFIED":        0,
		"PC_AGRARIAN_RECEIPT":   1,
		"PC_BANK_LOAN":          2,
		"PC_CREDIT_BY_SUPPLIER": 3,
		"PC_PRE_PAYMENT":        4,
		"PC_PAYBACK":            5,
		"PC_PROMISSIONARY_NOTE": 6,
	}
)

func (x PaymentCondition) Enum() *PaymentCondition {
	p := new(PaymentCondition)
	*p = x
	return p
}

func (x PaymentCondition) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (PaymentCondition) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_enum_proto_enumTypes[3].Descriptor()
}

func (PaymentCondition) Type() protoreflect.EnumType {
	return &file_v1_order_enum_proto_enumTypes[3]
}

func (x PaymentCondition) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use PaymentCondition.Descriptor instead.
func (PaymentCondition) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{3}
}

type DictItem struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TypeId   ProductType `protobuf:"varint,1,opt,name=type_id,json=typeId,proto3,enum=fcp.order.v1.order.ProductType" json:"type_id,omitempty"`
	TypeName string      `protobuf:"bytes,2,opt,name=type_name,json=typeName,proto3" json:"type_name,omitempty"`
	Id       int64       `protobuf:"varint,3,opt,name=id,proto3" json:"id,omitempty"`
	Name     string      `protobuf:"bytes,4,opt,name=name,proto3" json:"name,omitempty"`
	Count    int64       `protobuf:"varint,5,opt,name=count,proto3" json:"count,omitempty"`
}

func (x *DictItem) Reset() {
	*x = DictItem{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_enum_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DictItem) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DictItem) ProtoMessage() {}

func (x *DictItem) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_enum_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DictItem.ProtoReflect.Descriptor instead.
func (*DictItem) Descriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{0}
}

func (x *DictItem) GetTypeId() ProductType {
	if x != nil {
		return x.TypeId
	}
	return ProductType_ProductType_UNSPECIFIED
}

func (x *DictItem) GetTypeName() string {
	if x != nil {
		return x.TypeName
	}
	return ""
}

func (x *DictItem) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *DictItem) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *DictItem) GetCount() int64 {
	if x != nil {
		return x.Count
	}
	return 0
}

type DictResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items []*DictItem `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *DictResponse) Reset() {
	*x = DictResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_enum_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DictResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DictResponse) ProtoMessage() {}

func (x *DictResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_enum_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DictResponse.ProtoReflect.Descriptor instead.
func (*DictResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{1}
}

func (x *DictResponse) GetItems() []*DictItem {
	if x != nil {
		return x.Items
	}
	return nil
}

type NameFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TypeId ProductType `protobuf:"varint,1,opt,name=type_id,json=typeId,proto3,enum=fcp.order.v1.order.ProductType" json:"type_id,omitempty"`
	Id     int64       `protobuf:"varint,2,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *NameFilter) Reset() {
	*x = NameFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_enum_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NameFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NameFilter) ProtoMessage() {}

func (x *NameFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_enum_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NameFilter.ProtoReflect.Descriptor instead.
func (*NameFilter) Descriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{2}
}

func (x *NameFilter) GetTypeId() ProductType {
	if x != nil {
		return x.TypeId
	}
	return ProductType_ProductType_UNSPECIFIED
}

func (x *NameFilter) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type ProductProcessValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value ProductProcess `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.order.v1.order.ProductProcess" json:"value,omitempty"`
}

func (x *ProductProcessValue) Reset() {
	*x = ProductProcessValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_enum_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductProcessValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductProcessValue) ProtoMessage() {}

func (x *ProductProcessValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_enum_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductProcessValue.ProtoReflect.Descriptor instead.
func (*ProductProcessValue) Descriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{3}
}

func (x *ProductProcessValue) GetValue() ProductProcess {
	if x != nil {
		return x.Value
	}
	return ProductProcess_UNSPECIFIED
}

type ProductTypeValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value ProductType `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.order.v1.order.ProductType" json:"value,omitempty"`
}

func (x *ProductTypeValue) Reset() {
	*x = ProductTypeValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_enum_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductTypeValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductTypeValue) ProtoMessage() {}

func (x *ProductTypeValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_enum_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductTypeValue.ProtoReflect.Descriptor instead.
func (*ProductTypeValue) Descriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{4}
}

func (x *ProductTypeValue) GetValue() ProductType {
	if x != nil {
		return x.Value
	}
	return ProductType_ProductType_UNSPECIFIED
}

type DeliveryConditionValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value DeliveryCondition `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.order.v1.order.DeliveryCondition" json:"value,omitempty"`
}

func (x *DeliveryConditionValue) Reset() {
	*x = DeliveryConditionValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_enum_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeliveryConditionValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeliveryConditionValue) ProtoMessage() {}

func (x *DeliveryConditionValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_enum_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeliveryConditionValue.ProtoReflect.Descriptor instead.
func (*DeliveryConditionValue) Descriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{5}
}

func (x *DeliveryConditionValue) GetValue() DeliveryCondition {
	if x != nil {
		return x.Value
	}
	return DeliveryCondition_ODC_UNSPECIFIED
}

type PaymentConditionValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value PaymentCondition `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.order.v1.order.PaymentCondition" json:"value,omitempty"`
}

func (x *PaymentConditionValue) Reset() {
	*x = PaymentConditionValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_enum_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PaymentConditionValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PaymentConditionValue) ProtoMessage() {}

func (x *PaymentConditionValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_enum_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PaymentConditionValue.ProtoReflect.Descriptor instead.
func (*PaymentConditionValue) Descriptor() ([]byte, []int) {
	return file_v1_order_enum_proto_rawDescGZIP(), []int{6}
}

func (x *PaymentConditionValue) GetValue() PaymentCondition {
	if x != nil {
		return x.Value
	}
	return PaymentCondition_PC_UNSPECIFIED
}

var File_v1_order_enum_proto protoreflect.FileDescriptor

var file_v1_order_enum_proto_rawDesc = []byte{
	0x0a, 0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x12, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x22, 0x9b, 0x01, 0x0a, 0x08, 0x44, 0x69,
	0x63, 0x74, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x38, 0x0a, 0x07, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x06, 0x74, 0x79, 0x70, 0x65, 0x49, 0x64,
	0x12, 0x1b, 0x0a, 0x09, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x74, 0x79, 0x70, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d,
	0x65, 0x12, 0x14, 0x0a, 0x05, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x05, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x22, 0x42, 0x0a, 0x0c, 0x44, 0x69, 0x63, 0x74, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x32, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74,
	0x49, 0x74, 0x65, 0x6d, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x22, 0x56, 0x0a, 0x0a, 0x4e,
	0x61, 0x6d, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x38, 0x0a, 0x07, 0x74, 0x79, 0x70,
	0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x06, 0x74, 0x79, 0x70,
	0x65, 0x49, 0x64, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x02, 0x69, 0x64, 0x22, 0x4f, 0x0a, 0x13, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72,
	0x6f, 0x63, 0x65, 0x73, 0x73, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x38, 0x0a, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x22, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x22, 0x49, 0x0a, 0x10, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x54,
	0x79, 0x70, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x35, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22,
	0x55, 0x0a, 0x16, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69,
	0x74, 0x69, 0x6f, 0x6e, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x3b, 0x0a, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x65,
	0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x53, 0x0a, 0x15, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e,
	0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12,
	0x3a, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x24,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69,
	0x74, 0x69, 0x6f, 0x6e, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x2a, 0x57, 0x0a, 0x0e, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x0f, 0x0a,
	0x0b, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0d,
	0x0a, 0x09, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x10, 0x01, 0x12, 0x0c, 0x0a,
	0x08, 0x53, 0x45, 0x52, 0x56, 0x49, 0x43, 0x45, 0x53, 0x10, 0x02, 0x12, 0x0c, 0x0a, 0x08, 0x50,
	0x52, 0x4f, 0x44, 0x55, 0x43, 0x54, 0x53, 0x10, 0x03, 0x12, 0x09, 0x0a, 0x05, 0x47, 0x4f, 0x4f,
	0x44, 0x53, 0x10, 0x04, 0x2a, 0xa7, 0x02, 0x0a, 0x0b, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x54, 0x79, 0x70, 0x65, 0x12, 0x1b, 0x0a, 0x17, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x54,
	0x79, 0x70, 0x65, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10,
	0x00, 0x12, 0x13, 0x0a, 0x0f, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x5f, 0x53,
	0x45, 0x45, 0x44, 0x53, 0x10, 0x64, 0x12, 0x17, 0x0a, 0x13, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52,
	0x43, 0x45, 0x53, 0x5f, 0x46, 0x45, 0x52, 0x54, 0x49, 0x4c, 0x49, 0x5a, 0x45, 0x10, 0x65, 0x12,
	0x1e, 0x0a, 0x1a, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x5f, 0x4d, 0x49, 0x43,
	0x52, 0x4f, 0x46, 0x45, 0x52, 0x54, 0x49, 0x4c, 0x49, 0x5a, 0x45, 0x52, 0x53, 0x10, 0x66, 0x12,
	0x17, 0x0a, 0x13, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x5f, 0x43, 0x48, 0x45,
	0x4d, 0x49, 0x43, 0x41, 0x4c, 0x53, 0x10, 0x67, 0x12, 0x15, 0x0a, 0x10, 0x53, 0x45, 0x52, 0x56,
	0x49, 0x43, 0x45, 0x53, 0x5f, 0x42, 0x41, 0x4e, 0x4b, 0x49, 0x4e, 0x47, 0x10, 0xc8, 0x01, 0x12,
	0x17, 0x0a, 0x12, 0x53, 0x45, 0x52, 0x56, 0x49, 0x43, 0x45, 0x53, 0x5f, 0x49, 0x4e, 0x53, 0x55,
	0x52, 0x41, 0x4e, 0x43, 0x45, 0x10, 0xc9, 0x01, 0x12, 0x13, 0x0a, 0x0e, 0x53, 0x45, 0x52, 0x56,
	0x49, 0x43, 0x45, 0x53, 0x5f, 0x4c, 0x45, 0x47, 0x41, 0x4c, 0x10, 0xca, 0x01, 0x12, 0x12, 0x0a,
	0x0d, 0x50, 0x52, 0x4f, 0x44, 0x55, 0x43, 0x54, 0x53, 0x5f, 0x46, 0x4f, 0x4f, 0x44, 0x10, 0xac,
	0x02, 0x12, 0x13, 0x0a, 0x0e, 0x47, 0x4f, 0x4f, 0x44, 0x53, 0x5f, 0x4f, 0x56, 0x45, 0x52, 0x41,
	0x4c, 0x4c, 0x53, 0x10, 0x90, 0x03, 0x22, 0x04, 0x08, 0x01, 0x10, 0x63, 0x22, 0x05, 0x08, 0x68,
	0x10, 0xc7, 0x01, 0x22, 0x06, 0x08, 0xcb, 0x01, 0x10, 0xab, 0x02, 0x22, 0x06, 0x08, 0xad, 0x02,
	0x10, 0x8f, 0x03, 0x22, 0x09, 0x08, 0x91, 0x03, 0x10, 0xff, 0xff, 0xff, 0xff, 0x07, 0x2a, 0x8c,
	0x04, 0x0a, 0x11, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69,
	0x74, 0x69, 0x6f, 0x6e, 0x12, 0x13, 0x0a, 0x0f, 0x4f, 0x44, 0x43, 0x5f, 0x55, 0x4e, 0x53, 0x50,
	0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x14, 0x0a, 0x10, 0x4f, 0x44, 0x43,
	0x5f, 0x45, 0x58, 0x57, 0x5f, 0x45, 0x58, 0x5f, 0x57, 0x4f, 0x52, 0x4b, 0x53, 0x10, 0x01, 0x12,
	0x18, 0x0a, 0x14, 0x4f, 0x44, 0x43, 0x5f, 0x46, 0x43, 0x41, 0x5f, 0x46, 0x52, 0x45, 0x45, 0x5f,
	0x43, 0x41, 0x52, 0x52, 0x49, 0x45, 0x52, 0x10, 0x02, 0x12, 0x1f, 0x0a, 0x1b, 0x4f, 0x44, 0x43,
	0x5f, 0x46, 0x41, 0x53, 0x5f, 0x46, 0x52, 0x45, 0x45, 0x5f, 0x41, 0x4c, 0x4f, 0x4e, 0x47, 0x53,
	0x49, 0x44, 0x45, 0x5f, 0x53, 0x48, 0x49, 0x50, 0x10, 0x03, 0x12, 0x19, 0x0a, 0x15, 0x4f, 0x44,
	0x43, 0x5f, 0x46, 0x4f, 0x42, 0x5f, 0x46, 0x52, 0x45, 0x45, 0x5f, 0x4f, 0x4e, 0x5f, 0x42, 0x4f,
	0x41, 0x52, 0x44, 0x10, 0x04, 0x12, 0x26, 0x0a, 0x22, 0x4f, 0x44, 0x43, 0x5f, 0x43, 0x49, 0x46,
	0x5f, 0x43, 0x4f, 0x53, 0x54, 0x5f, 0x49, 0x4e, 0x53, 0x55, 0x52, 0x41, 0x4e, 0x43, 0x45, 0x5f,
	0x41, 0x4e, 0x44, 0x5f, 0x46, 0x52, 0x45, 0x49, 0x47, 0x48, 0x54, 0x10, 0x05, 0x12, 0x1c, 0x0a,
	0x18, 0x4f, 0x44, 0x43, 0x5f, 0x43, 0x46, 0x52, 0x5f, 0x43, 0x4f, 0x53, 0x54, 0x5f, 0x41, 0x4e,
	0x44, 0x5f, 0x46, 0x52, 0x45, 0x49, 0x47, 0x48, 0x54, 0x10, 0x06, 0x12, 0x1c, 0x0a, 0x18, 0x4f,
	0x44, 0x43, 0x5f, 0x43, 0x50, 0x54, 0x5f, 0x43, 0x41, 0x52, 0x52, 0x49, 0x41, 0x47, 0x45, 0x5f,
	0x50, 0x41, 0x49, 0x44, 0x5f, 0x54, 0x4f, 0x10, 0x07, 0x12, 0x2a, 0x0a, 0x26, 0x4f, 0x44, 0x43,
	0x5f, 0x43, 0x49, 0x50, 0x5f, 0x43, 0x41, 0x52, 0x52, 0x49, 0x41, 0x47, 0x45, 0x5f, 0x41, 0x4e,
	0x44, 0x5f, 0x49, 0x4e, 0x53, 0x55, 0x52, 0x41, 0x4e, 0x43, 0x45, 0x5f, 0x50, 0x41, 0x49, 0x44,
	0x5f, 0x54, 0x4f, 0x10, 0x08, 0x12, 0x21, 0x0a, 0x1d, 0x4f, 0x44, 0x43, 0x5f, 0x44, 0x41, 0x46,
	0x5f, 0x44, 0x45, 0x4c, 0x49, 0x56, 0x45, 0x52, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x46, 0x52,
	0x4f, 0x4e, 0x54, 0x49, 0x45, 0x52, 0x10, 0x09, 0x12, 0x1d, 0x0a, 0x19, 0x4f, 0x44, 0x43, 0x5f,
	0x44, 0x45, 0x53, 0x5f, 0x44, 0x45, 0x4c, 0x49, 0x56, 0x45, 0x52, 0x45, 0x44, 0x5f, 0x45, 0x58,
	0x5f, 0x53, 0x48, 0x49, 0x50, 0x10, 0x0a, 0x12, 0x1d, 0x0a, 0x19, 0x4f, 0x44, 0x43, 0x5f, 0x44,
	0x45, 0x51, 0x5f, 0x44, 0x45, 0x4c, 0x49, 0x56, 0x45, 0x52, 0x45, 0x44, 0x5f, 0x45, 0x58, 0x5f,
	0x51, 0x55, 0x41, 0x59, 0x10, 0x0b, 0x12, 0x1f, 0x0a, 0x1b, 0x4f, 0x44, 0x43, 0x5f, 0x44, 0x44,
	0x50, 0x5f, 0x44, 0x45, 0x4c, 0x49, 0x56, 0x45, 0x52, 0x45, 0x44, 0x5f, 0x44, 0x55, 0x54, 0x59,
	0x5f, 0x50, 0x41, 0x49, 0x44, 0x10, 0x0c, 0x12, 0x21, 0x0a, 0x1d, 0x4f, 0x44, 0x43, 0x5f, 0x44,
	0x44, 0x55, 0x5f, 0x44, 0x45, 0x4c, 0x49, 0x56, 0x45, 0x52, 0x45, 0x44, 0x5f, 0x44, 0x55, 0x54,
	0x59, 0x5f, 0x55, 0x4e, 0x50, 0x41, 0x49, 0x44, 0x10, 0x0d, 0x12, 0x21, 0x0a, 0x1d, 0x4f, 0x44,
	0x43, 0x5f, 0x44, 0x41, 0x54, 0x5f, 0x44, 0x45, 0x4c, 0x49, 0x56, 0x45, 0x52, 0x45, 0x44, 0x5f,
	0x41, 0x54, 0x5f, 0x54, 0x45, 0x52, 0x4d, 0x49, 0x4e, 0x41, 0x4c, 0x10, 0x0e, 0x12, 0x1e, 0x0a,
	0x1a, 0x4f, 0x44, 0x43, 0x5f, 0x44, 0x41, 0x50, 0x5f, 0x44, 0x45, 0x4c, 0x49, 0x56, 0x45, 0x52,
	0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x50, 0x4c, 0x41, 0x43, 0x45, 0x10, 0x0f, 0x2a, 0xab, 0x01,
	0x0a, 0x10, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x12, 0x0a, 0x0e, 0x50, 0x43, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49,
	0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x17, 0x0a, 0x13, 0x50, 0x43, 0x5f, 0x41, 0x47, 0x52,
	0x41, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x52, 0x45, 0x43, 0x45, 0x49, 0x50, 0x54, 0x10, 0x01, 0x12,
	0x10, 0x0a, 0x0c, 0x50, 0x43, 0x5f, 0x42, 0x41, 0x4e, 0x4b, 0x5f, 0x4c, 0x4f, 0x41, 0x4e, 0x10,
	0x02, 0x12, 0x19, 0x0a, 0x15, 0x50, 0x43, 0x5f, 0x43, 0x52, 0x45, 0x44, 0x49, 0x54, 0x5f, 0x42,
	0x59, 0x5f, 0x53, 0x55, 0x50, 0x50, 0x4c, 0x49, 0x45, 0x52, 0x10, 0x03, 0x12, 0x12, 0x0a, 0x0e,
	0x50, 0x43, 0x5f, 0x50, 0x52, 0x45, 0x5f, 0x50, 0x41, 0x59, 0x4d, 0x45, 0x4e, 0x54, 0x10, 0x04,
	0x12, 0x0e, 0x0a, 0x0a, 0x50, 0x43, 0x5f, 0x50, 0x41, 0x59, 0x42, 0x41, 0x43, 0x4b, 0x10, 0x05,
	0x12, 0x19, 0x0a, 0x15, 0x50, 0x43, 0x5f, 0x50, 0x52, 0x4f, 0x4d, 0x49, 0x53, 0x53, 0x49, 0x4f,
	0x4e, 0x41, 0x52, 0x59, 0x5f, 0x4e, 0x4f, 0x54, 0x45, 0x10, 0x06, 0x42, 0x4e, 0x0a, 0x15, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x30, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f, 0x63, 0x67, 0x75, 0x72, 0x75, 0x2f, 0x66, 0x63, 0x70,
	0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f,
	0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_v1_order_enum_proto_rawDescOnce sync.Once
	file_v1_order_enum_proto_rawDescData = file_v1_order_enum_proto_rawDesc
)

func file_v1_order_enum_proto_rawDescGZIP() []byte {
	file_v1_order_enum_proto_rawDescOnce.Do(func() {
		file_v1_order_enum_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_enum_proto_rawDescData)
	})
	return file_v1_order_enum_proto_rawDescData
}

var file_v1_order_enum_proto_enumTypes = make([]protoimpl.EnumInfo, 4)
var file_v1_order_enum_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_v1_order_enum_proto_goTypes = []interface{}{
	(ProductProcess)(0),            // 0: fcp.order.v1.order.ProductProcess
	(ProductType)(0),               // 1: fcp.order.v1.order.ProductType
	(DeliveryCondition)(0),         // 2: fcp.order.v1.order.DeliveryCondition
	(PaymentCondition)(0),          // 3: fcp.order.v1.order.PaymentCondition
	(*DictItem)(nil),               // 4: fcp.order.v1.order.DictItem
	(*DictResponse)(nil),           // 5: fcp.order.v1.order.DictResponse
	(*NameFilter)(nil),             // 6: fcp.order.v1.order.NameFilter
	(*ProductProcessValue)(nil),    // 7: fcp.order.v1.order.ProductProcessValue
	(*ProductTypeValue)(nil),       // 8: fcp.order.v1.order.ProductTypeValue
	(*DeliveryConditionValue)(nil), // 9: fcp.order.v1.order.DeliveryConditionValue
	(*PaymentConditionValue)(nil),  // 10: fcp.order.v1.order.PaymentConditionValue
}
var file_v1_order_enum_proto_depIdxs = []int32{
	1, // 0: fcp.order.v1.order.DictItem.type_id:type_name -> fcp.order.v1.order.ProductType
	4, // 1: fcp.order.v1.order.DictResponse.items:type_name -> fcp.order.v1.order.DictItem
	1, // 2: fcp.order.v1.order.NameFilter.type_id:type_name -> fcp.order.v1.order.ProductType
	0, // 3: fcp.order.v1.order.ProductProcessValue.value:type_name -> fcp.order.v1.order.ProductProcess
	1, // 4: fcp.order.v1.order.ProductTypeValue.value:type_name -> fcp.order.v1.order.ProductType
	2, // 5: fcp.order.v1.order.DeliveryConditionValue.value:type_name -> fcp.order.v1.order.DeliveryCondition
	3, // 6: fcp.order.v1.order.PaymentConditionValue.value:type_name -> fcp.order.v1.order.PaymentCondition
	7, // [7:7] is the sub-list for method output_type
	7, // [7:7] is the sub-list for method input_type
	7, // [7:7] is the sub-list for extension type_name
	7, // [7:7] is the sub-list for extension extendee
	0, // [0:7] is the sub-list for field type_name
}

func init() { file_v1_order_enum_proto_init() }
func file_v1_order_enum_proto_init() {
	if File_v1_order_enum_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_enum_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DictItem); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_enum_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DictResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_enum_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NameFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_enum_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductProcessValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_enum_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductTypeValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_enum_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeliveryConditionValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_enum_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PaymentConditionValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_enum_proto_rawDesc,
			NumEnums:      4,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_order_enum_proto_goTypes,
		DependencyIndexes: file_v1_order_enum_proto_depIdxs,
		EnumInfos:         file_v1_order_enum_proto_enumTypes,
		MessageInfos:      file_v1_order_enum_proto_msgTypes,
	}.Build()
	File_v1_order_enum_proto = out.File
	file_v1_order_enum_proto_rawDesc = nil
	file_v1_order_enum_proto_goTypes = nil
	file_v1_order_enum_proto_depIdxs = nil
}
